Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Get Bulge Factor of 2D Polylines

  1. #1
    I could stop if I wanted to
    Join Date
    2006-07
    Posts
    233
    Login to Give a bone
    0

    Default Get Bulge Factor of 2D Polylines

    I am working with drawing containing multiple arcs that will be converted to 2d polylines and am wondering on how to actually get the bulge factor they are currently at and how to set the bulge factor for the arcs.

    Also is there anyway to change or set a bulge factor after an object has already been created as a 2d pline.
    Last edited by Lions60; 2006-08-17 at 02:50 PM.

  2. #2
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,804
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Go to http://www.faqs.org/faqs/CAD/autolisp-faq/part2/ and search the document for "What is the *BULGE* in a polyline"

    There is a good explanation and some sample code.
    Last edited by rkmcswain; 2006-08-17 at 02:56 PM.
    R.K. McSwain | CAD Panacea |

  3. #3
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,665
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Quote Originally Posted by Lions60
    I am working with drawing containing multiple arcs that will be converted to 2d polylines and am wondering on how to actually get the bulge factor they are currently at and how to set the bulge factor for the arcs.
    Doable but it's the hard way. Why not use the multiple option of pedit? What version of Autocad are you running? I've converted bulge info the other way for listing and labeling.
    Also is there anyway to change or set a bulge factor after an object has already been created as a 2d pline.
    For an arc segment it's easy enough, but since the group codes repeat for each segment of a lwpolyline accessing a paticular bulge of one with multiple segments can be a pain.

  4. #4
    I could stop if I wanted to
    Join Date
    2002-02
    Location
    Kansas
    Posts
    487
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Quote Originally Posted by Lions60
    Also is there anyway to change or set a bulge factor after an object has already been created as a 2d pline.
    use the ActiveX functions where

    vlaobject is the pline as a vla-object
    use the (vlax-ename->vla-object entname) functions to set vlaobject to the pline.

    Index
    Integer; input-only
    The index location of the vertex you wish to set. The first vertex is index 0.

    Value
    Double
    The bulge value for the vertex at the given index.

    (VLA-GETBULGE vlaobject Index)
    (VLA-SETBULGE vlaobject Index Value)



    Note: The (vl-load-com) function need to be called be for you can use the vla-functions.
    Last edited by jwanstaett; 2006-08-17 at 08:59 PM.

  5. #5
    I could stop if I wanted to
    Join Date
    2006-07
    Posts
    233
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    I am using Autocad 2006 and i am not familliar with using the ActiveX commands. I have only been using the basic lisp commands.

  6. #6
    I could stop if I wanted to
    Join Date
    2002-02
    Location
    Kansas
    Posts
    487
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Quote Originally Posted by Lions60
    I am using Autocad 2006 and i am not familliar with using the ActiveX commands. I have only been using the basic lisp commands.
    well how a good time to start using the ActiveX commands of lisp you will find them helpful.

  7. #7
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,665
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Quote Originally Posted by Lions60
    I am using Autocad 2006 and i am not familliar with using the ActiveX commands. I have only been using the basic lisp commands.
    Start with pseudocode. Basicly show us the step by step proceedure of what you want the routine to do. That will get responces of the easiest way to get the results you're looking for. Someone may have already written this routine or something close.

  8. #8
    I could stop if I wanted to
    Join Date
    2006-07
    Posts
    233
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Is it possible to get and change the bulge factor of a 2d polyline. If so I would like to the program to get all 2d polylines and change the bulge factor so that when the pline arc segments are inserted into another program they are not drawn as straight lines.

  9. #9
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,100
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Quote Originally Posted by Lions60
    Is it possible to get and change the bulge factor of a 2d polyline. If so I would like to the program to get all 2d polylines and change the bulge factor so that when the pline arc segments are inserted into another program they are not drawn as straight lines.
    How do you plan on determining when the bulge factor needs to be changed? Was this post not helpful?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  10. #10
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,665
    Login to Give a bone
    0

    Default Re: Get Bulge Factor of 2D Polylines

    Quote Originally Posted by Lions60
    Is it possible to get and change the bulge factor of a 2d polyline.
    Yes, as noted before.
    Quote Originally Posted by Lions60
    If so I would like to the program to get all 2d polylines and change the bulge factor so that when the pline arc segments are inserted into another program they are not drawn as straight lines.
    Each vertex has a bulge factor, if negitive it bulges the opposite way. You don't want to set the bulge for every lwpolyline vertex in the drawing the same without any straight segments. You will need to calculate the bulge for each segment. Show us the step by step proceedure of what you want the routine to do. That will get responces of the easiest way to get the results you're looking for. Someone may have already written this routine or something close.

Page 1 of 2 12 LastLast

Similar Threads

  1. Polylines with arcs to polylines with segments
    By randyspear in forum AutoCAD General
    Replies: 1
    Last Post: 2009-04-15, 06:22 PM
  2. Masonry wall bulge
    By jvedio in forum Revit Architecture - General
    Replies: 10
    Last Post: 2008-06-20, 07:38 PM
  3. Replies: 7
    Last Post: 2008-02-22, 04:13 PM
  4. Bulge or Line
    By kennet.sjoberg in forum AutoLISP
    Replies: 6
    Last Post: 2006-02-24, 04:09 PM
  5. lwpolyline bulge
    By pnorman in forum AutoLISP
    Replies: 3
    Last Post: 2005-05-17, 04:59 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •